<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>CBUFF Driver</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li class="current"><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CBUFF Driver </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p>The CBUFF (Common Buffer Controller) is responsible for the transfer of data from multiple sources like ADCBUFF, Chirp Parameters (CP), Chirp Quality (CQ) or any other source to the LVDS Tx or CSI2 Module.</p>
<p>The CBUFF header file should be included in an application as follows: </p><div class="fragment"><div class="line"><span class="preprocessor">#include &lt;ti/drivers/cbuff.h&gt;</span></div></div><!-- fragment --><h2>Customizing the driver</h2>
<p>The default driver library fully supports the following data modes:-</p><ul>
<li>Interleaved</li>
<li>Non-Interleaved</li>
</ul>
<p>Each modes also supports all the data formats. This can cause the default driver library to become large since all the symbols for all modes &amp; formats are included. This can be of concern because of the memory constraints on the system. In most use cases the application developers have already decided upfront on the data mode &amp; format which is to be used. The driver thus exposes the following function tables in the corresponding platform file</p><ul>
<li><dl class="section see"><dt>See also</dt><dd><a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad9ed8bdc248a278efeea15ede2cb8038" title="On the XWR16xx Interleaved mode is not supported. ">gInterleavedTransferFxn</a></dd></dl>
</li>
<li><dl class="section see"><dt>See also</dt><dd><a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa3b0bfa0691a843a91d22b3f8506571b" title="This is the function table which supports all the non-interleaved transfer functions. The default driver library supports all data formats in the non-interleaved mode. Modify this table and set to NULL any data format that is not required. Rebuild the driver and this will help reduce the application footprint. ">gNonInterleavedTransferFxn</a></dd></dl>
Application developers are recommended to modify these tables and mark as NULL the data mode &amp; formats they are not interested in. Rebuilding the driver and now linking this new library to the application will ensure that the symbols for all the non used data modes &amp; formats are not linked into the final executable reducing the total application size.</li>
</ul>
<h2>Sessions</h2>
<p>The CBUFF driver introduces a concept called sessions. Sessions are created during application startup. Sessions will allocate the required EDMA channels and will setup a virtualized CBUFF linked list to support the data format which is being streamed out.</p>
<p>Sessions can be executed by Hardware or Software triggers. The ADC data being available is a hardware trigger which will kick start the transfers without any software intervention. On the other hand software triggered sessions need to be triggered by the CBUFF Driver API</p>
<p>In order for the sessions to coexist only one of the sessions can be active at a time. Applications can register a frame done callback function which is invoked once the transfer associated with the session is complete. This can be used to switch from one active session to another. It is the responsiblity of the application to guarantee that the transfers in the sessions do not overlap.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga07b960b21e473d6956838dc6107e7c53">CBUFF_activateSession</a> </dd>
<dd>
<a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa9860ef5c2a1635713b3904ec544ecdc">CBUFF_deactivateSession</a> </dd></dl>
</div></div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
